Subject: bug#9699: closed (Re: bug#9699: frame-auto-hide-function)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 09 Oct 2011 12:36:02 +0000

Your bug report

#9699: frame-auto-hide-function

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9699: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9699
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9699: frame-auto-hide-function
From: martin rudalics <[email-masked]>
To: [email-masked]
Cc: Glenn Morris <[email-masked]>
Date: Sun, 09 Oct 2011 14:35:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> frame-auto-hide-function has no NEWS entry, and is missing a :version tag.
> 
> It needs a NEWS entry (which should contain some mention of "iconify")
> because it changes existing behaviour.
> 
> Example: I like my diff buffers in a separate frame, so I use:
> 
> emacs -Q --eval "(setq special-display-regexps '(\".*diff\\*\"))"
> 
> C-x C-f /path/to/modified/file/under/vcs
> C-x v =
>    -> diff buffer pops up in new frame
> 
> Now using "C-x k" to kill the diff buffer iconifies the associated
> frame. It used to just delete it (which I think was better, but YMMV).

Should be all fixed now.  Closing.

Thanks, martin

Subject: frame-auto-hide-function
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Fri, 07 Oct 2011 18:10:37 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 24.0.90

frame-auto-hide-function has no NEWS entry, and is missing a :version tag.

It needs a NEWS entry (which should contain some mention of "iconify")
because it changes existing behaviour.

Example: I like my diff buffers in a separate frame, so I use:

emacs -Q --eval "(setq special-display-regexps '(\".*diff\\*\"))"

C-x C-f /path/to/modified/file/under/vcs
C-x v =
   -> diff buffer pops up in new frame

Now using "C-x k" to kill the diff buffer iconifies the associated
frame. It used to just delete it (which I think was better, but YMMV).